
QGIS Application - Bug report #19991

QGIS crash on exit

2018-10-01 07:08 PM - Kevin Rhodes

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 27813

Description

As I clicked the X to close out of QGIS, it crashed.  It also crashes at various times while using the program, but this is the first time I

selected to copy the report and submit it.  I can add those reports to this issue as they occur.  Please let me know if there are further

details you need that aren't included in the crash report.  Thank you.

User Feedback

Simply clicked on X to close the program.

Report Details

Crash ID: 1284ba8c9168bde056387f3b78ab4a56a13cd879

Stack Trace

QgsVectorLayer::~QgsVectorLayer :

QgsVectorLayerUndoCommandRenameAttribute::~QgsVectorLayerUndoCommandRenameAttribute :

QgsMapLayerStore::removeMapLayers :

QgsMapLayerStore::removeMapLayers :

QgsMapLayerStore::removeAllMapLayers :

QgsProject::clear :

QgisApp::closeProject :

QgisApp::fileExit :

QWidget::event :

QMainWindow::event :

QgisApp::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::close_helper :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processCloseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-10-02 09:39 AM - Giovanni Manghi

- Priority changed from Normal to High

- Category changed from Actions to Build/Install

- Status changed from Open to Feedback

Create a  clean/new profile (no 3rd party plugins or legacy configurations), restart qgis, try again.

#2 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#3 - 2018-12-06 09:35 AM - Giovanni Manghi

- Duplicates Bug report #20697: QGIS 3.4.2 crashes on exit added

#4 - 2018-12-06 09:35 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

#20697

#5 - 2018-12-12 08:42 AM - Jürgen Fischer

- Duplicates deleted (Bug report #20697: QGIS 3.4.2 crashes on exit)
